#!/usr/bin/python

import sys
from PyQt4.QtGui import *
from PyQt4.QtCore import *

class MainWindow(QMainWindow):
    def __init__(self):
        QMainWindow.__init__(self)
        
        self.filebrowser = FileBrowserWidget()
        
        self.setCentralWidget(self.filebrowser)  
        self.resize(600, 500)

class FileBrowserWidget(QWidget):
    def __init__(self, *args):
        super(FileBrowserWidget, self).__init__(*args)
        layout = QHBoxLayout()
        self.dirModel = QFileSystemModel()
        self.dirModel.setRootPath(QDir.homePath())
        
        self.view = QListView()

        self.view.setModel(self.dirModel)
        self.view.setViewMode(QListView.IconMode)
        self.view.setRootIndex(self.dirModel.index(QDir.homePath()))
        self.view.setResizeMode(QListView.Adjust)       
        self.view.setSpacing(10)
        self.view.setWordWrap(True)
        layout.addWidget(self.view)
        self.setLayout(layout)        
        
if __name__ == "__main__":
    
    app = QApplication(sys.argv)
    mainWin = MainWindow()
    mainWin.show()
    app.exec_()        